#!BuildIgnore:          post-build-checks
%define distversion %( perl -e '$_=\<\>;/(\\d+)\\.(\\d)\\.?(\\d)?/; print "$1$2".($3||0)' /etc/*-release)
%define smptag %(uname -a|awk '{print $5}')

Summary:   SIM - Simple Instant Messenger
Name:      sim
Version:   0.9.4.3
Release:   31.2
License:   GPL
Vendor:    Vladimir Shutoff <shutoff@mail.ru>
Url:       http://sim-icq.sourceforge.net/
Packager:  Carsten Schoene <cs@linux-administrator.com>
Group:     X11/KDE/Network
Source:    %{name}-%{version}.tar.bz2
Patch:	   %{name}-%{version}_login.patch
BuildRoot: /tmp/%{name}-%{version}/
Prefix:    `kde-config --prefix`

BuildRequires: qt3-devel zlib-devel kdeutils3-devel libgpg-error-devel kdelibs3-devel kdemultimedia3-devel arts-devel kdebase3-devel zip openssl-devel glibc-devel libgcc gcc gcc-c++ flex

%description
SIM - Simple Instant Messenger

SIM (Simple Instant Messenger) is an unpretentious
open-source ICQ client which supports many of the
features of Version 8 of the ICQ protocol (ICQ 2001).

SIM has a lot of features, many of them are listed
at: http://sim-icq.sourceforge.net/

%prep
%setup -q
%patch

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final \
%ifarch x86_64
 --libdir=$kde_libdir --with-qt-dir=/usr/lib/qt3 --with-qt-libraries=/usr/lib/qt3/lib64 --with-qt-includes=/usr/lib/qt3/include \
%endif
	--disable-rpath

if [ %{smptag} = SMP ]; then
        %{__make} -j2
else
        %{__make}
fi

%makeinstall
rm -f $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/application/x-icq.desktop

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.simrc
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.simrc
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.simrc

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/sim*
rm -rf ../file.list.simrc

%files -f ../file.list.simrc

%changelog
* Wed Jul 02 2008 Carsten Schoene <cs@linux-administrator.com>
- added patch for login problem with icq network (client to old)
 - fixes bug #14117
 
* Wed Apr 04 2007 Carsten Schoene <cs@linux-administrator.com>
- version changed to 0.9.4.3

* Sun Nov 26 2006 Carsten Schoene <cs@linux-administrator.com>
- version bump to version 0.9.4.1

* Wed Sep 20 2006 Carsten Schoene <cs@linux-administrator.com>
- build for SuSE 10.1 - version 0.9.4

* Mon May 22 2006 Carsten Schoene <cs@linux-administrator.com>
- initial build for SuSE 10.1 - version 0.9.4rc2

